summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/set_stats/runme.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
commit8a754e0858d922e955e71b253c139e071ecec432 (patch)
tree527d16e74bfd1840c85efd675fdecad056c54107 /test/integration/targets/set_stats/runme.sh
parentInitial commit. (diff)
downloadansible-core-8a754e0858d922e955e71b253c139e071ecec432.tar.xz
ansible-core-8a754e0858d922e955e71b253c139e071ecec432.zip
Adding upstream version 2.14.3.upstream/2.14.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/integration/targets/set_stats/runme.sh')
-rwxr-xr-xtest/integration/targets/set_stats/runme.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/set_stats/runme.sh b/test/integration/targets/set_stats/runme.sh
new file mode 100755
index 0000000..27193dc
--- /dev/null
+++ b/test/integration/targets/set_stats/runme.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eux
+
+export ANSIBLE_SHOW_CUSTOM_STATS=yes
+
+# Simple tests
+ansible-playbook test_simple.yml -i "${INVENTORY_PATH}"
+
+# This playbook does two set_stats calls setting my_int to 10 and 15.
+# The aggregated output should add to 25.
+output=$(ansible-playbook test_aggregate.yml -i "${INVENTORY_PATH}" | grep -c '"my_int": 25')
+test "$output" -eq 1